package com.jy.framework.redis;

import com.jy.framework.model.constants.RedisConstant;

public class RedisKey {

    /**
     * 获取锁定用户 redis key
     *
     * @param username 用户名
     * @return 锁定用户名 redis key
     */
    public static String getLockUsername(String username) {
        return RedisConstant.LOCK_USER_KEY + username;
    }

    /**
     * 获取验证码 redis key前缀
     *
     * @param uuid uuid
     * @return 登录验证码 redis key
     */
    public static String getCaptchaCode(String uuid) {
        return RedisConstant.CAPTCHA_CODE_KEY + uuid;
    }

    /**
     * 获取配置 redis key
     *
     * @param configKey 系统配置key
     * @return 系统配置 redis key
     */
    public static String getConfig(String configKey) {
        return RedisConstant.CONFIG_KEY + configKey;
    }

    /**
     * 获取字典 redis key
     *
     * @param dictCode 字典编码
     * @return 系统字典 redis key
     */
    public static String getDict(String dictCode) {
        return RedisConstant.DICT_KEY + dictCode;
    }

}
